Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	IrMC plugin for opensync synchronization framework library
Name:		libopensync-plugin-irmc
Version:	0.36
Release:	3
License:	GNU/GPL
URL: 		http://www.opensync.org/
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

# Automatically resolved build dependencies
BuildRequires: bluez-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: libusb-devel
BuildRequires: libxml2-devel
BuildRequires: openobex-devel
BuildRequires: libopensync-devel

%description
OpenSync is a synchronization framework that is platform and distribution independent. It consists of a powerful sync-engine and several plugins that can be used to connect to devices.
OpenSync is very flexible and capable of synchronizing any type of data, including contacts, calendar, tasks, notes and files.

This plugin allows applications using OpenSync to synchronise data via Infrared Mobile Communications (IrMC)

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}

%build
mkdir build
pushd build
cmake ../. -DCMAKE_INSTALL_PREFIX=%_prefix
make
popd

%install
rm -rf $RPM_BUILD_ROOT
pushd build
make install DESTDIR=$RPM_BUILD_ROOT
popd

%files
%defattr(-,root,root)
%{_libdir}/opensync-1.0/plugins/irmc-sync.so
%{_datadir}/opensync-1.0/defaults/irmc-sync

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Oct 16 2008 Christian Wasem <wasem@ccux-linux.de> 0.36-3
- adding libopensync-devel as BuildRequires
* Thu Oct 16 2008 Christian Wasem <wasem@ccux-linux.de> 0.36-2
- rebuild against libbluetooth
* Sun Aug 24 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.36-1
- Initial CCux package release

